.net-picker {
  &__friend-net {
    max-width: 100% !important;
  }
  &__userTag {
    flex: 0.8;
    max-width: 100% !important;
    margin-right: 2rem;
  }
  &__selected {
    border: 1px solid $dark;
  }
  &__svg-icon {
    min-width: rem(25px);
    height: rem(25px);
    margin: rem(5px);

  }
  &__ignore {
    background: none;
    	color: inherit;
    	border: none;
    	padding: 0;
    	font: inherit;
    	cursor: pointer;
    	outline: inherit;    border:none;
    background: transparent;
  }



  &__dropdown {
    &-trigger {
      text-align: center;
      overflow-x: hidden;
       padding-right: 8rem;
      height: rem(48px);
      padding: 0;

      width: inherit;
      border: 0.125rem solid #343a40;
      border-radius: 0.3125rem;
      background: white;
      color: #343a40;
      &::-webkit-scrollbar {
        display: none;
      }
      // justify-content: center !important;
      // align-items: center;
      &:hover {
        cursor: pointer;
        border: 0.125rem solid #343a40;
        border-radius: 0.3125rem;
        // background: #FFDD02;
      }
      &:focus {
        cursor: pointer;
        border: 0.125rem solid #343a40;
        border-radius: 0.3125rem;
        background: #FFDD02;
      }
      &:active {
        cursor: pointer;
        border: 0.125rem solid #343a40;
        border-radius: 0.3125rem;
        background: #FFDD02;
      }

      & > button {
        all: none;
        display: inline-flex;
        padding: rem(12px) 1vw;
        height: rem(48px);
        border: 0.125rem solid #343a40;
        border-radius: 0.3125rem;
      }

      & .ember-power-select-clear-btn {
        left: 0;
        opacity: 0;
      }

      &__triggerOpen {

          & .ember-power-select-trigger-multiple-input{
            width: 100% !important;
            display: flex;
            font-size: 0.85rem !important;
            margin: -1rem;
            padding-left: 1.5rem;
            height: 100%
          }
          &  .ember-power-select-multiple-option {
            padding-right: rem(12px) !important;
            width: auto !important;
            // width: intrinsic;           /* Safari/WebKit uses a non-standard name */
            // width: -moz-max-content;    /* Firefox/Gecko */
            // width: -webkit-max-content; /* Chrome */
            text-overflow: ellipsis !important;
            font-size: 0rem !important;
            font-display: none;
            background-color: $color-ligth-gray !important;
            overflow: hidden;
            // display: none;
            height: 90%;
            vertical-align: middle;
          }

          & .ember-power-select-multiple-options{
            display: flex;
            height: 90%;
            overflow:hidden;
            padding: 0;
            margin: 0;
            display: -webkit-box;
            display: -moz-box;
            display: -ms-flexbox;
            display: -webkit-flex;
            align-items: center;
            justify-content: center;
            flex: 0.7 1 0px;
            text-overflow: ellipsis;
            overflow: hidden;
            align-content: revert;
          }

          & span.ember-power-select-multiple-remove-btn {
            background: transparent;
            display: block !important;
            overflow: hidden;
            width: 100%;
            height:100%;
            display: none;
            text-align: center;
            font-size: 0.85rem;
            position: absolute;

          }
      }

      &__triggerClose {
          & .ember-power-select-trigger-multiple-input{
            width: rem(0px) !important;
            padding: rem(0px) !important;
            margin:  rem(0px) !important;
            display: none;
          }
      }

      & .ember-power-select-multiple-options{
        display: flex;
        height: rem(48px);
        width: 100% !important;
        min-width: 0;
        max-width: calc(100vw - 6.75rem);

      }
      & .ember-power-select-status-icon {
        display: none;
      }
      & .ember-power-select-trigger-multiple-input{
        width: 0 ;
      }
      &  .ember-power-select-multiple-option {
        display: flex;
        white-space: nowrap;

        justify-content: flex-start;
        font-size: 0.85rem;
        align-items:center;
        margin: 0rem;
        overflow-x: hidden;
        text-align: left;
        width: 100%;
        border: none;
        background-color: $primary;

        & span.ember-power-select-multiple-remove-btn {
          background: transparent;
          color: transparent;
          display: none;
          width: 100%;
          height: 100%;
          overflow: auto;
          position: absolute;
        }
        & > .ember-power-select-multiple-remove-btn {
          opacity: 1;
          font-weight: bold;
          background: transparent;
          & > .button-counter {
            display: none;
          }
        }
      }
    }

    &-content {
      width: 100%;
      margin-top: rem(10px);
      text-align: center;
      border: 1px solid $dark;
      max-height: rem(150px);
      overflow-y: auto;
    }
    &-option {
      display: block;
      // padding: rem(5px) 0;
      cursor: pointer;
      width: 100%;
      background: white;
      border: unset;
      &:hover {
        // color: white;
      }

      & .ember-power-select-option{
        display: flex;
        justify-content:  flex-start;
        text-overflow: ellipsis;
        overflow: hidden;
        align-items: center;
        white-space: nowrap;
        width: 100%;
        flex: 1 1 0px;
        margin-left: 0;
        padding-right: 10px;
        height: rem(48px);
        & svg{
          min-width: rem(25px);
          max-width: rem(25px);
        }
        &:hover {
          & svg{
            fill: $color-white;
          }
        }
        &:focus {
          & svg{
            fill: $color-white;
          }
        }
        // width: 100%;
      }

      & + .time-picker__dropdown-option {
        border-top: rem(1px) solid $dark;
      }
    }
  }

  &__dropdown-trigger--welcome {
    width: 100% !important;
    margin-left: 0;
    max-width: none;
  }

  &__create-new-button {
    height: rem(46px);
    & button {
      color: $color-blue;
      border: none;
      background: transparent;
      height: 100%;
      &:hover {
        color:$color-blue;
        text-decoration: underline;
      }
    }
    & span:hover {
      cursor: pointer;
      color:white;
        }
  }

  ////button creation andd usertag menu optionss menu options
    &__white-background{

      background-color: $color-white;
      // margin-left: 10px;
      // margin-right: 10px;
      // max-width: 10rem;

      & .ember-power-select-multiple-options{

      }
      & .ember-power-select-status-icon {
      }
      & .ember-power-select-trigger-multiple-input{
      }
      &  .ember-power-select-multiple-option {
        background-color: $color-ligth-gray;

        & span.ember-power-select-multiple-remove-btn {

        }
        & > .ember-power-select-multiple-remove-btn {

          & > .button-counter {
          }
        }
      }
    }


}

.net-button-icon {
  align-items: center;
  display: flex;
  padding: $button-padding 2rem;
  position: relative;
  &--small {
    padding: $button-small-padding 2rem;
  }
  &__header {
    padding: rem(2px) 1vw;
    height: rem(48px);
  }
  &__link:hover {
    border-color: $primary;
    text-decoration: none;
  }
}

.net-button-icon__icon {
  height: auto;
  transition: transform .2s;
  width: rem(30px);
  + .net-button-icon__text {
    margin-left: 2rem;
  }
  & > .icon {
    fill: $dark;
  }
}

.net-button-icon__text {
  & + .net-button-icon__icon {
    margin-left: rem(10px);
  }
}


.net-button-icon--hover {
  cursor: pointer;
  background: #343a40;
  color: #FFDD02;
  & svg {
    fill: #FFDD02;
  }
}

@media screen and (min-width: 992px) {
  .net-picker {

    &__dropdown {
      &-trigger {
        display: flex;
         max-width: 14rem;
         min-width: 14rem;
         margin-left: 1rem;

        // margin-left: 10px;
        // margin-right: 10px;

      }
    }
  }
}
